import { HybridConfigurationStore, IAsyncStore, ISyncStore } from '@eppo/js-client-sdk-common';
export declare type ServingStoreUpdateStrategy = 'always' | 'expired' | 'empty';
/**
 * Extension of the HybridConfigurationStore that allows optionally isolating the serving store from
 * updates.
 * This could be useful when you want to avoid updating the serving store to maintain greater
 * consistency within a session, but still want to update the cache for a quick, updated
 * initialization the next session.
 */
export declare class IsolatableHybridConfigurationStore<T> extends HybridConfigurationStore<T> {
    private servingStoreUpdateStrategy;
    constructor(servingStore: ISyncStore<T>, persistentStore: IAsyncStore<T> | null, servingStoreUpdateStrategy?: ServingStoreUpdateStrategy);
    /** @Override */
    setEntries(entries: Record<string, T>): Promise<boolean>;
}
//# sourceMappingURL=isolatable-hybrid.store.d.ts.map