import { IStringStorageEngine } from './string-valued.store';
/**
 * Local storage implementation of a string-valued store for storing a configuration and its metadata.
 *
 * This serializes the entire contents into a single string and then stores it to a single local
 * storage key. Same with metadata about the store (e.g., when it was last updated).
 */
export declare class LocalStorageEngine implements IStringStorageEngine {
    private localStorage;
    private readonly contentsKey;
    private readonly metaKey;
    constructor(localStorage: Storage, storageKeySuffix: string);
    getContentsJsonString: () => Promise<string | null>;
    getMetaJsonString: () => Promise<string | null>;
    setContentsJsonString: (configurationJsonString: string) => Promise<void>;
    setMetaJsonString: (metaJsonString: string) => Promise<void>;
}
//# sourceMappingURL=local-storage-engine.d.ts.map